
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef GENHUM_SCAN_H
#define GENHUM_SCAN_H


/* Structures definies par d'autres modules */


/* Structures du module */
#include "server/genHumPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_GENHUM_STR (char** buf, struct GENHUM_STR *x, int nDim, int *dims );
int scan_buf_struct_GENHUM_HUMAN_DISTANCE (char** buf, struct GENHUM_HUMAN_DISTANCE *x, int nDim, int *dims );
int scan_buf_struct_GENHUM_HUMAN_LINKS (char** buf, struct GENHUM_HUMAN_LINKS *x, int nDim, int *dims );
int scan_buf_struct_GENHUM_CHILD_LINK_MOBILITY (char** buf, struct GENHUM_CHILD_LINK_MOBILITY *x, int nDim, int *dims );
int scan_buf_struct_GENHUM_CHILD_LINK_POSITION (char** buf, struct GENHUM_CHILD_LINK_POSITION *x, int nDim, int *dims );
int scan_buf_enum_GENHUM_LINK_NAME (char** buf, enum GENHUM_LINK_NAME *x, int nDim, int *dims );
int scan_buf_struct_GENHUM_HUMAN_POSTURE (char** buf, struct GENHUM_HUMAN_POSTURE *x, int nDim, int *dims );
int scan_buf_struct_GENHUM_HUMAN_POSITION (char** buf, struct GENHUM_HUMAN_POSITION *x, int nDim, int *dims );
int scan_buf_struct_GENHUM_HUMAN_LIMBS_GEOM (char** buf, struct GENHUM_HUMAN_LIMBS_GEOM *x, int nDim, int *dims );
int scan_buf_struct_GENHUM_LIMB_GEOM (char** buf, struct GENHUM_LIMB_GEOM *x, int nDim, int *dims );
int scan_buf_enum_GENHUM_LIMB_NAME (char** buf, enum GENHUM_LIMB_NAME *x, int nDim, int *dims );
int scan_buf_struct_GENHUM_MATRIX (char** buf, struct GENHUM_MATRIX *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_GENHUM_MATRIX (char** buf, GENHUM_MATRIX *x, int nDim, int *dims );
int scan_buf_GENHUM_LIMB_NAME (char** buf, GENHUM_LIMB_NAME *x, int nDim, int *dims );
int scan_buf_GENHUM_LIMB_GEOM (char** buf, GENHUM_LIMB_GEOM *x, int nDim, int *dims );
int scan_buf_GENHUM_HUMAN_LIMBS_GEOM (char** buf, GENHUM_HUMAN_LIMBS_GEOM *x, int nDim, int *dims );
int scan_buf_GENHUM_HUMAN_POSITION (char** buf, GENHUM_HUMAN_POSITION *x, int nDim, int *dims );
int scan_buf_GENHUM_HUMAN_POSTURE (char** buf, GENHUM_HUMAN_POSTURE *x, int nDim, int *dims );
int scan_buf_GENHUM_LINK_NAME (char** buf, GENHUM_LINK_NAME *x, int nDim, int *dims );
int scan_buf_GENHUM_CHILD_LINK_POSITION (char** buf, GENHUM_CHILD_LINK_POSITION *x, int nDim, int *dims );
int scan_buf_GENHUM_CHILD_LINK_MOBILITY (char** buf, GENHUM_CHILD_LINK_MOBILITY *x, int nDim, int *dims );
int scan_buf_GENHUM_HUMAN_LINKS (char** buf, GENHUM_HUMAN_LINKS *x, int nDim, int *dims );
int scan_buf_GENHUM_HUMAN_DISTANCE (char** buf, GENHUM_HUMAN_DISTANCE *x, int nDim, int *dims );
int scan_buf_GENHUM_STR (char** buf, GENHUM_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* GENHUM_SCAN_H */

